%global momorel 7
%global qtver 3.3.7
%global kdever 3.5.8
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Reclaim disk space by finding unneeded files
Name: kleansweep
Version: 0.2.9
Release: %{momorel}m%{?dist}
License: GPL
URL: http://linux.bydg.org/~yogin/
Group: Applications/System
Source0: http://linux.bydg.org/~yogin/%{name}-%{version}.tar.bz2 
NoSource: 0
Source1: %{name}-ja.po
Source2: %{name}rc
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext
BuildPreReq: scons

%description
KleanSweep allows you to reclaim disk space by finding unneeded files. It
can search for files based on several criteria: you can seek for empty
files, backup files, broken symbolic links, dead menu entries, duplicated
files, orphaned files (files not found in the RPM database), and more.

%prep
%setup -q

%patch0 -p1 -b .desktop~

# for Japanese
cp %{SOURCE1} po/ja.po

# disable rpath
sed -i 's|^env.KDEuse("environ rpath")|env.KDEuse("environ")|g' SConstruct

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

scons %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
scons install prefix=%{buildroot}%{_prefix}

# install kleansweeprc
mkdir -p %{buildroot}%{_datadir}/config
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/config/

# GNOME desktop beautification (requires "Icon=name.png" fix in setup section)
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/32x32/apps/kleansweep.png %{buildroot}%{_datadir}/pixmaps/kleansweep.png

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --remove-category Utility \
  %{buildroot}%{_datadir}/applnk/System/kleansweep.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL README THANKS TODO
%{_bindir}/kleansweep
%{_bindir}/kleansweep-helper
%{_datadir}/applications/kde/kleansweep.desktop
%{_datadir}/apps/kleansweep
%{_datadir}/config/kleansweeprc
%{_datadir}/icons/*/*/*/kleansweep.png
%{_datadir}/locale/*/LC_MESSAGES/kleansweep.mo
%{_datadir}/pixmaps/kleansweep.png

%changelog
* Thu Feb 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.9-7m)
- update Japanese translation

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.9-6m)
- %%NoSource -> NoSource

* Wed Jul 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.9-5m)
- update Japanese translation

* Wed Mar 21 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.9-4m)
- update Japanese translation

* Sun Mar 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.9-3m)
- update Japanese translation

* Sun Mar 18 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.9-2m)
- add Japanese translation

* Sun Mar 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.2.9-1m)
- initial package for Momonga Linux
